> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuroncx.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Push a prospect

> Create a new prospect (lead) with optional NCX attributes and Facebook/Google/UTM parameters.



## OpenAPI

````yaml POST /external/carrierv2/{identifier}/{examId}
openapi: 3.0.3
info:
  title: NeuronCx API
  version: 1.0.0
  description: >-
    API collection of NeuronCx — Omnichannel Automations & Reasoning. NeuronCx
    APIs use Bearer as an authorization layer. Every API request must contain an
    `Authorization` HTTP header with a token. Tokens can be generated by admin
    role users on https://dash.neuroncx.in/.
servers:
  - url: https://domain-c.neuroncx.in
    description: Carrier domain (domain_c)
  - url: https://domain-g.neuroncx.in
    description: Get/lead domain (domain_g)
  - url: https://domain-i.neuroncx.in
    description: Interactive/messaging domain (domain_i)
  - url: https://events.neuroncx.in
    description: Event handler domain
  - url: https://automation.neuroncx.in
    description: Automation domain
security:
  - bearerAuth: []
tags:
  - name: Prospects
  - name: Messages
  - name: Attributes
  - name: Agent
  - name: Events
paths:
  /external/carrierv2/{identifier}/{examId}:
    post:
      tags:
        - Prospects
      summary: Push a prospect
      description: >-
        Creates a new prospect (lead). Supports optional NCX attribute labels,
        Facebook, Google, and UTM parameters.
      operationId: pushProspect
      parameters:
        - name: identifier
          in: path
          required: true
          schema:
            type: string
          description: Client identifier provided by NeuronCx.
        - name: examId
          in: path
          required: true
          schema:
            type: string
          description: Unique ID for identifying the API user.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - phone
                - email
              properties:
                name:
                  type: string
                  description: Mandatory. Name of the prospect.
                phone:
                  type: string
                  description: >-
                    Mandatory. Phone number with ISD code, no '+'. e.g.
                    919886398863
                email:
                  type: string
                  format: email
                  description: Mandatory. Email ID of the prospect.
                message:
                  type: string
                  description: Optional. Comments if any.
                Location:
                  type: string
                  description: >-
                    Example NCX attribute label. Replace with actual NCX
                    attribute label and ID provided by NeuronCx.
                fb_leadId:
                  type: string
                fb_ad_name:
                  type: string
                fb_campaign_name:
                  type: string
                fb_form_name:
                  type: string
                fb_form_id:
                  type: string
                fb_adset_name:
                  type: string
                fb_page_id:
                  type: string
                fb_page_name:
                  type: string
                fb_platform:
                  type: string
                fb_adset_id:
                  type: string
                fb_campaign_id:
                  type: string
                fb_ad_id:
                  type: string
                google_campaign_name:
                  type: string
                google_adgroup_name:
                  type: string
                google_gci_id:
                  type: string
                google_campaign_id:
                  type: string
                google_form_id:
                  type: string
                google_lead_id:
                  type: string
                google_adgroup_id:
                  type: string
                utm_source:
                  type: string
                utm_medium:
                  type: string
                utm_campaign:
                  type: string
                utm_term:
                  type: string
                utm_content:
                  type: string
                utm_adName:
                  type: string
                gclid:
                  type: string
                  description: Google Click ID for tracking Google Ads conversions.
              additionalProperties: true
            example:
              name: ''
              phone: ''
              message: ''
              email: ''
      responses:
        '200':
          description: Lead created
          content:
            application/json:
              example:
                error: 'false'
                transactionId: f978720e-a736-4aa0-91b7-a350e992c0b0
                message: Lead created successfully
        '409':
          description: Duplicate lead
          content:
            application/json:
              example:
                error: 'true'
                transactionId: f978720e-a736-4aa0-91b7-a350e992c0b0
                message: Duplicate lead
      x-codeSamples:
        - lang: JSON
          label: Basic push
          source: |-
            {
              "name": "",
              "phone": "",
              "message": "",
              "email": ""
            }
        - lang: JSON
          label: With NCX attribute
          source: |-
            {
              "name": "",
              "phone": "",
              "message": "",
              "email": "",
              "Location": ""
            }
        - lang: JSON
          label: With Facebook params
          source: |-
            {
              "name": "",
              "phone": "",
              "fb_leadId": "10557******66309",
              "fb_ad_name": "",
              "fb_campaign_name": "",
              "fb_form_name": "",
              "fb_form_id": "1002******240387",
              "fb_adset_name": "",
              "fb_page_id": "14384******67067",
              "fb_page_name": "",
              "fb_platform": "ig",
              "fb_adset_id": "12021*******260178",
              "fb_campaign_id": "12021*******260178",
              "fb_ad_id": "12021*******260178"
            }
        - lang: JSON
          label: With Google params
          source: |-
            {
              "name": "",
              "phone": "",
              "google_campaign_name": "",
              "google_adgroup_name": "",
              "google_gci_id": "",
              "google_campaign_id": "",
              "google_form_id": "",
              "google_lead_id": "",
              "google_adgroup_id": ""
            }
        - lang: JSON
          label: With UTM params
          source: |-
            {
              "name": "",
              "phone": "",
              "utm_source": "",
              "utm_medium": "",
              "utm_campaign": "",
              "utm_term": "",
              "utm_content": "",
              "utm_adName": ""
            }
        - lang: JSON
          label: With gclid
          source: |-
            {
              "name": "",
              "phone": "",
              "message": "",
              "location": "",
              "utm_campaign": "",
              "utm_term": "",
              "utm_medium": "",
              "gclid": ""
            }
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.